Loading...
Searching...
No Matches
CPathManager Class Reference

Class for managing data/lang/save paths. More...

`#include <src/app/pathman.h>`

## Public Member Functions

| CPathManager (CSystemUtils *systemUtils)
void | SetDataPath (const std::string &dataPath)
void | SetLangPath (const std::string &langPath)
void | SetSavePath (const std::string &savePath)
const std::string & | GetDataPath ()
const std::string & | GetLangPath ()
const std::string & | GetSavePath ()
std::string | VerifyPaths ()
| Checks if paths are configured correctly.
void | InitPaths ()
| Loads configured paths.
void | AddMod (const std::string &path)
| Adds a path to a mod.
std::vector< std::string > | FindMods () const
| Find paths to mods in mod search directories.
void | AddModSearchDir (const std::string &modSearchDirPath)
| Adds a mod search directory.

## Detailed Description

Class for managing data/lang/save paths.

## Member Function Documentation

## VerifyPaths()

std::string CPathManager::VerifyPaths | ( |  | ) |

Checks if paths are configured correctly.

## InitPaths()

void CPathManager::InitPaths | ( |  | ) |

Loads configured paths.

## AddMod()

void CPathManager::AddMod | ( | const std::string & | path | ) |

Adds a path to a mod.

## FindMods()

std::vector< std::string > CPathManager::FindMods | ( |  | ) | const

Find paths to mods in mod search directories.

## AddModSearchDir()

void CPathManager::AddModSearchDir | ( | const std::string & | modSearchDirPath | ) |

Adds a mod search directory.

The documentation for this class was generated from the following files:

- src/app/pathman.h
- src/app/pathman.cpp